Last Comment Bug 271943 - "Show History" should be in "Go" menu
: "Show History" should be in "Go" menu
Status: RESOLVED FIXED
: fixed1.8.1.1
Product: Camino Graveyard
Classification: Graveyard
Component: Toolbars & Menus (show other bugs)
: unspecified
: PowerPC Mac OS X
P3 normal (vote)
: Camino1.5
Assigned To: froodian (Ian Leue)
:
:
Mentors:
Depends on: 275170
Blocks: 328173
  Show dependency treegraph
 
Reported: 2004-11-26 18:22 PST by Smokey Ardisson (offline for a while; not following bugs - do not email)
Modified: 2006-10-27 17:48 PDT (History)
4 users (show)
alqahira: camino1.0-
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description User image Smokey Ardisson (offline for a while; not following bugs - do not email) 2004-11-26 18:22:29 PST
The "View" menu seems to be all about ways to change the view of the "browser
window"--showing/customizing toolbars, reloading page, changing font size or
encoding, or viewing source.  "Show History" seems rather out of place here.

By contrast, the "Go" menu seems to be mostly about history-related
functions--back and forward and the page/tab history.  "Show History" seems to
fit much better here (either above or below the back/forward pair?).

Other browsers also have their "Show History" item in their "Go" menus; Safari
even goes so far as to call its menu "History" rather than "Go".

This has caused no end of confusion when switching to Camino, and several people
have complained about this (among others, but this was common) in a "History
gripes" thread in the MozillaZine forum :)
Comment 1 User image Smokey Ardisson (offline for a while; not following bugs - do not email) 2004-12-01 16:46:31 PST
Jasper, since you seem to be the GUI/HIG guru, would you mind giving an opinion
on this?  (I think a. it should be fixed and b. should be fixed by 1.0, but
that's just me :)  Thanks, and sorry for the interruption.
Comment 2 User image Smokey Ardisson (offline for a while; not following bugs - do not email) 2005-04-24 02:05:30 PDT
Since global history in the Go menu is targeted for 0.9, this seems like a good
time to move the "Show History" item there, too--this should either be a
simple(?) fix or a WONTFIX, right?
Comment 3 User image Simon Fraser 2005-07-22 12:32:22 PDT
Final call?
Comment 4 User image Mike Pinkerton (not reading bugmail) 2005-07-25 07:55:50 PDT
have we figured out yet what we're calling the menu?
Comment 5 User image Samuel Sidler (old account; do not CC) 2005-12-04 02:13:49 PST
I saw we WONTFIX this in favor of bug 275170 and move "Show History" in that bug.

Any complaints?
Comment 6 User image Simon Fraser 2005-12-04 10:38:41 PST
Yes. Changing Go to History has implications that we have not resolved, bug 275170.
Comment 7 User image Samuel Sidler (old account; do not CC) 2005-12-20 14:16:44 PST
Since bug 275170 is targeted for 1.1 now, I think we need to make this change. It should be quick and easy to fix.
Comment 8 User image Smokey Ardisson (offline for a while; not following bugs - do not email) 2006-01-19 16:23:59 PST
Moving back to 1.1 per irc; we need to be string complete and we've yet to reach a solid consensus on this.
Comment 9 User image froodian (Ian Leue) 2006-09-30 14:30:27 PDT
The fix for this is in bug 275170
Comment 10 User image froodian (Ian Leue) 2006-10-11 09:47:27 PDT
Fixed

Note You need to log in before you can comment on or make changes to this bug.